Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class ResourceNavigatorAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.SelectionProviderAction
              org.eclipse.ui.views.navigator.ResourceNavigatorAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Direct Known Subclasses:
  CollapseAllAction, FilterSelectionAction, GotoResourceAction, SortViewAction, ToggleLinkingAction

public abstract class ResourceNavigatorAction
extends SelectionProviderAction

Superclass of all actions provided by the resource navigator.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ResourceNavigatorAction(IResourceNavigator navigator, String label)` Creates a new instance of the class.

Method Summary
`IResourceNavigator` | `getNavigator()` Returns the resource navigator for which this action was created.
`protected Shell` | `getShell()` Returns the shell to use within actions.
`protected Viewer` | `getViewer()` Returns the resource viewer
`protected IWorkbench` | `getWorkbench()` Returns the workbench.
`protected IWorkbenchWindow` | `getWorkbenchWindow()` Returns the workbench window.

Methods inherited from class org.eclipse.ui.actions.SelectionProviderAction
`dispose, getSelection, getSelectionProvider, getStructuredSelection, selectionChanged, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceNavigatorAction

    public ResourceNavigatorAction(IResourceNavigator navigator,
                                   String label)

  Creates a new instance of the class.

Method Detail

### getNavigator

    public IResourceNavigator getNavigator()

  Returns the resource navigator for which this action was created.

### getViewer

    protected Viewer getViewer()

  Returns the resource viewer

### getShell

    protected Shell getShell()

  Returns the shell to use within actions.

### getWorkbench

    protected IWorkbench getWorkbench()

  Returns the workbench.

### getWorkbenchWindow

    protected IWorkbenchWindow getWorkbenchWindow()

  Returns the workbench window.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.